import { WornHat, WornHatEffect } from "../worn_hat";
class HeadlampHat extends WornHatEffect {
    constructor() {
        super(...arguments);
        this.hatTypeId = "ldz_crcomp:hat_headlamp";
        this.effectData = [
            { type: "night_vision", amplifier: 0 },
        ];
    }
}
WornHat.HatTable["ldz_crcomp:hat_headlamp"] = HeadlampHat;
